# Cancel a payment. This endpoint is used to cancel/delete a payment resource based on the provided service, product, and payment Id. Endpoint: DELETE /{paymentService}/{paymentProduct}/{paymentId} Version: 1.0.0 Security: Api access ## Path parameters: - `paymentService` (string, required) The payment service. Enum: "payments", "bulkPayments" - `paymentProduct` (string, required) The payment product. Enum: "creditTransfer", "directDebit" - `paymentId` (string, required) The unique identifier of the payment. ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 202 fields (application/json): - `paymentId` (string) Id of the payment initiation Example: "A30D7108-A584-4C32-95ED-8FF4BB5A7C2C" - `transactionStatus` (string) Status of the payment Enum: "accc", "accp", "acsc", "acsp", "actc", "acwc", "acwp", "rcvd", "pdng", "rjct", "canc", "acfc", "patc", "part" ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)